Bug 247116 - RFE: Add debug to bonding driver as module option
Summary: RFE: Add debug to bonding driver as module option
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jiri Pirko
QA Contact: Network QE
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 546624 671310 671311
TreeView+ depends on / blocked
 
Reported: 2007-07-05 14:46 UTC by Jon Stanley
Modified: 2015-05-05 01:14 UTC (History)
4 users (show)

(edit)
Clone Of:
: 546624 671310 671311 (view as bug list)
(edit)
Last Closed: 2011-02-16 16:05:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Jon Stanley 2007-07-05 14:46:46 UTC
Description of problem:

Currently the only way to enable debug functionality in the bonding driver is to
modify bond_main.c and recompile.  Would like to see this as a runtime module
option.

Version-Release number of selected component (if applicable): 2.6.9-55.EL

Comment 1 Andy Gospodarek 2007-07-06 01:31:36 UTC
I took a quick stab at this and placed some test kernels here:

http://people.redhat.com/agospoda/#rhel4

Comment 2 Andy Gospodarek 2007-07-06 21:49:11 UTC
I'm building updated kernels now -- they should be ready in a few hours.

http://people.redhat.com/agospoda/#rhel4

Comment 3 Jon Stanley 2007-11-28 15:34:40 UTC
Apologies for not getting back.  This looks good.

Comment 4 Andy Gospodarek 2009-10-28 18:23:09 UTC
Support for bonding debugging with the pr_debug macro is upstream:

commit 5a03cdb7f2d7ff88e50153d8c3b90a1d52dca435
Author: Holger Eitzenberger <holger@eitzenberger.org>
Date:   Tue Dec 9 23:09:22 2008 -0800

    bonding: use pr_debug instead of own macros
    
    Use pr_debug() instead of own macros.
    
    Signed-off-by: Holger Eitzenberger <holger@eitzenberger.org>
    Signed-off-by: David S. Miller <davem@davemloft.net>

Jiri, do you want to take a look at adding this to RHEL4?

Comment 5 Jiri Pirko 2009-10-29 09:27:41 UTC
(In reply to comment #4)
> Support for bonding debugging with the pr_debug macro is upstream:
> 
> commit 5a03cdb7f2d7ff88e50153d8c3b90a1d52dca435
> Author: Holger Eitzenberger <holger@eitzenberger.org>
> Date:   Tue Dec 9 23:09:22 2008 -0800
> 
>     bonding: use pr_debug instead of own macros
> 
>     Use pr_debug() instead of own macros.
> 
>     Signed-off-by: Holger Eitzenberger <holger@eitzenberger.org>
>     Signed-off-by: David S. Miller <davem@davemloft.net>
> 
> Jiri, do you want to take a look at adding this to RHEL4?  

Sure thing, looking at the code, this should be also good to backport to rhel5.

Comment 7 Vivek Goyal 2010-10-18 13:48:37 UTC
Committed in 89.45.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 12 errata-xmlrpc 2011-02-16 16:05:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.